QGIS Application - Bug report #21592
QGIS crash when opening file browser from attachment field in attribute table
2019-03-15 10:36 AM - Oto Kalab

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:3.4.5 Regression?: No
Operating System: Ubuntu 18.04.2 LTS 64bit Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corruptsdata: Copied to github as #: 29408
Description

Steps for reproducing:
- in Layer Properties - Attributes form set a Widget type Attachment for some text field
- open attribute table, toggle editing, click into the attachment field text value, hit the browse (...) button

QGIS crash immediately without visible error. Terminal output:

Warning: QPixmap::scaled: Pixmap is a null pixmap

Warning: QPixmap::scaled: Pixmap is a null pixmap

Warning: QPixmap::scaled: Pixmap is a null pixmap

Gtk-Message: 10:09:39.159: GtkDialog mapped without a transient parent. This is discouraged.
free(): invalid pointer

Neuspésné ukoncen (SIGABRT) (core dumped [obraz paméti uloZen])

Nelspésne ukoncen means Unsuccesfully terminated or Unsuccessfully ended

When open attr. table in window by default and then hit button for dock table, the browser than works fine, but only for first time.

When open attr. table in window by default the Warning: QPixmap::scaled: is appeared 2x and when is in docked by default 3x.

Works normally with sudo

sudo qgis

Same behaviour (crash after hitting button) was also reported by customer with Windows (8 or 107?) 64bit.

Related issues:
Duplicates QGIS Application - Bug report # 19118: Crash when clicking browse ... Open 2018-06-05

History

#1 - 2019-03-15 10:40 AM - Giovanni Manghi
- Duplicates Bug report #19118: Crash when clicking browse button in attachment edit widget added

#2 - 2019-03-15 10:40 AM - Giovanni Manghi
- Resolution set to duplicate

- Status changed from Open to Closed
